%define aurox_ver 9.4
%define rel 1


%define pybasever 2.2
%define pynextver 2.3

Summary: An interface to MySQL
Name: MySQL-python
Version: 0.9.2
Release: %{aurox_ver}.aur.%{rel}
Source0: http://cesnet.dl.sourceforge.net/sourceforge/mysql-python/MySQL-python-%{version}.tar.gz
License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.mysql.com/downloads/api-python.html
Requires: python mx mysql
Requires: python >= %{pybasever}, python < %{pynextver}
BuildRequires: python-devel >= %{pybasever}, python-devel < %{pynextver}
BuildRequires: mysql-devel python Distutils gcc zlib-devel

%description
Python interface to MySQL-3.22, 3.23 and 4.0

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0 
-     Thread-safety 
-     Thread-friendliness (threads will not block each other) 
-     Compatibility with MySQL 3.22, 3.23 and 4.0

This module should be mostly compatible with an older interface
written by Joe Skinner and others. However, the older version is
a) not thread-friendly, b) written for MySQL 3.21, c) apparently
not actively maintained. No code from that version is used in
MySQLdb. MySQLdb is distributed free of charge under a license
derived from the Python license.

%prep
%setup -q

%build
rm -f doc/*~
export libdirname=%{_lib}
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
export libdirname=%{_lib}
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README doc/*
%dir /usr/%{_lib}/python%{pybasever}/site-packages/MySQLdb
%dir /usr/%{_lib}/python%{pybasever}/site-packages/MySQLdb/constants

%changelog
* Fri Apr 23 2004 Aurox Team <aurox@aurox.org> 0:0.9.2-9.4.aur.1
- rebuild for Aurox 9.4

* Tue Jun 08 2003 Robert Glowczynski <robertg@software.com.pl> 0.9.2-9.1.aur.1
- 0.9.2
- build with MySQL 4.0.13

* Fri Mar 07 2003 Patrick Macdonald <patrickm@redhat.com> 0.9.1-7
- rebuilt

* Tue Mar 04 2003 Patrick Macdonald <patrickm@redhat.com>
- explicitly define the constants directory in case a more
  restrictive umask is encountered (#74019)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 0.9.1-5
- lib64'ize

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9.1-2
- Build for newer python

* Wed Mar 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9.1-1
- 0.9.1

* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9.0-6
- Rebuild

* Thu Jan 31 2002 Elliot Lee <sopwith@redhat.com> 0.9.0-5
- Change python conflicts to requires
- Use pybasever/pynextver macros.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Sep 14 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.0-3
- Build for Python 2.2

* Mon Jul 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add zlib-devel to buildrequires (#49788)

* Tue Jun 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Initial build
